Segmentation fault on the Ubuntu 9.04, nvidia card.

Questions, problems and discussion about compiling FreeOrion.

Moderators: Oberlus, Oberlus

Message
Author
User avatar
8472
Space Floater
Posts: 28
Joined: Thu Jul 16, 2009 5:46 pm
Location: Slovakia, Bratislava

Re: Segmentation fault on the Ubuntu 9.04, nvidia card.

#16 Post by 8472 » Sun Aug 02, 2009 9:23 am

Geoff the Medio wrote:
8472 wrote:1. why should i decrease the current version i have

Code: Select all

At revision 3118
to a lower one you're talking about?
Because, as I said:
Geoff the Medio wrote: There were some changes to chmain.cpp recently that this might be related to.
Reverting to 3112 will result in you building and running a version before the changes I'm talking about. If it works after doing that, or the problems you get change significantly, then it strongly suggests there's a problem with those changes on your system.
Yes, I know that build and to run the 3112 version is necessary, I just don't know how to make that kind of downgrade from higher version to a lower one. That was the thing I was asking of you, to tell me how to make that downgrade.
thx
Logic clearly dictates that the needs of the many outweigh the needs of the few.

User avatar
pd
Graphics Lead Emeritus
Posts: 1924
Joined: Mon Mar 08, 2004 6:17 pm
Location: 52°16'N 10°31'E

Re: Segmentation fault on the Ubuntu 9.04, nvidia card.

#17 Post by pd » Sun Aug 02, 2009 9:48 am

The part you are quoting is in answer to why you should downgrade. OndrejR told you already how to do it.

wrwrwr
Space Floater
Posts: 25
Joined: Thu Dec 17, 2009 5:36 am

Re: Segmentation fault on the Ubuntu 9.04, nvidia card.

#18 Post by wrwrwr » Wed Dec 23, 2009 1:34 am

gcc (Ubuntu 4.3.3-5ubuntu4) 4.3.3
(...) at /usr/include/c++/4.2
That would mean there is something wrong with gcc, wouldn't it? Some includes left over from a former version and taking precedence?

I'm also still on Jaunty (9.04):

Code: Select all

gcc --version
gcc (Ubuntu 4.3.3-5ubuntu4) 4.3.3
ls /usr/include/c++
4.3  4.3.3

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Segmentation fault on the Ubuntu 9.04, nvidia card.

#19 Post by OndrejR » Wed Dec 23, 2009 2:03 am

If he has gcc 4.3 and includes from 4.2, he has something broken.

Post Reply